Cache-specific Finding Helpers(3)

NAME
Cache-specific Finding Helpers -

  Functions
static inline hwloc_obj_t hwloc_get_cache_covering_cpuset (hwloc_topology_t topology, hwloc_const_cpuset_t set)
static inline hwloc_obj_t hwloc_get_shared_cache_covering_obj (hwloc_topology_t topology , hwloc_obj_t obj)

Function Documentation

  static inline hwloc_obj_t hwloc_get_cache_covering_cpuset (hwloc_topology_ttopology, hwloc_const_cpuset_tset) [static]

Get the first cache covering a cpuset set. Returns:
    NULL if no cache matches

  static inline hwloc_obj_t hwloc_get_shared_cache_covering_obj (hwloc_topology_t topology, hwloc_obj_tobj) [static]

Get the first cache shared between an object and somebody else. Returns:
    NULL if no cache matches or if an invalid object is given.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.